version: '3'

services:
  ulule-tracker:
    build: .
    container_name: ulule-tracker
    ports:
      - "2106:2106"
    restart: unless-stopped
    volumes:
      - ./server.js:/app/server.js
      - ./public:/app/public
    environment:
      - PROJECT_SLUG=199996  # Remplacez par le slug de votre campagne
      - REFRESH_INTERVAL=10  # En secondes
      - PORT=2106